Subject: bug#4674: 23.1; UNC paths and file-relative-directory

From: Richard Copley <[email-masked]>
Date: Fri, 9 Oct 2009 17:28:11 +0100

Thinking about it, that advice can be changed so that it only returns
the server name, since "../SHARE2" is a valid relative path from
"//SERVER/SHARE1" to "//SERVER/SHARE2": change the regexp to something
more like "\\`\\(//[^:/\\]+\\)/[^:/\\]+".

I'm reconsidering my "I don't think that's wise" attitude towards this
workaround. It's probably not illogical to treat files on UNC paths as
remote files (even in the case when the server name resolves to the
local computer anyway), and the old piece of advice has worked okay
for me so far.

Apologies for sending this message to the wrong place yesterday (see bug #4763).